const {
  get,
  post
} = require('../../../utils/request');
import url from '../../../utils/urlconfig'
const {
  formatRichText
} = require('../../../utils/util')
const moment = require('/miniprogram_npm/moment/index.js');
Page({
  data: {
    newsList: {},
    favoriteState: "",
    formatText: '',
    newsId: ''
  },

  // 生命周期函数
  onLoad: function (option) {
    let params = {
      id: option.id
    }
    post(url.NewsResultListApi, params).then(res => {
      res.data.releaseTime = moment(res.data.releaseTime).format("YYYY-MM-DD")
      this.setData({
        newsList: res.data,
        favoriteState: res.data.favoriteState,
        newsId: option.id,
        formatText: formatRichText(res.data.content)
      })
    })
  },
});