const {
  get,
  post
} = require('../../utils/request');
import url from '../../utils/urlconfig'
Page({
  data: {
    activityList: [],
    activityNavList: [],
    activityTimeList: [],
    current: 0,
  },
  onLoad() {
    get(url.getactiveNavListApi, {
      bizType: 1
    }).then(res => {
      if (res.data.activityType.length > 0) {
        res.data.activityType.unshift({
          activityType: "",
          activityName: "所有日程",
        });
      }
      this.setData({
        activityNavList: res.data.activityType,
        activityTimeList: res.data.theDay
      })
    })
    let params = {
      bizType: 1
    }
    this.getActivityList(params)
  },
  getActivityList(params) {
    post(url.getActivityListApi, params).then(res => {
      this.setData({
        activityList: res.data.records
      })
    })
  },
  currentNav: function (e) {
    let item = e.currentTarget.dataset.item;
    let index = e.currentTarget.dataset.index;
    this.setData({
      current: index,
    })
    let params = {
      activityType: item.activityType,
      bizType: 1,
      enablePay: 0,
      pageNo: 1,
      pageSize: 20
    }
    this.getActivityList(params)
  },
  myevent(e){
    let params = {
      bizType: 1,
      pageNo: 1,
      pageSize: 20,
      now:e.detail
    }
    this.getActivityList(params)
  },
  handleTo(e){
    let item = e.currentTarget.dataset.item;
    wx.navigateTo({
      url: '/pages/activity/activyDetail/index?id='+item.id,
    })
  }
});