const {
  get,
  post
} = require('../../../utils/request');
import url from '../../../utils/urlconfig'
Component({
  properties: {
    // 这里定义了newsId属性，属性值可以在组件使用时指定
    questionData: {
      type: Object,
      value: {},
    },
    answerQuestionData: {
      type: Object,
      value: {},
      observer: 'getAnswer'
    },
  },
  data: {
    // 这里是一些组件内部数据
    singleVal: "",
    fileName: ""
  },
  lifetimes: {
    attached: function () {

    },
    ready: function () {
      this.setData({
        fileName: this.data.questionData.contentAppendixUrl?.split('prefix=')[1]
      })
    },
    detached: function () {
      // 在组件实例被从页面节点树移除时执行
    },
  },

  methods: {
    getAnswer(e){
      console.log('箭头',e)
      this.setData({
        singleVal: e?.questionItems[0].optionId
      })
    },
    radioChange(e) {
      console.log('单选题',e.detail.value)
      this.setData({
        singleVal: e.detail.value
      })
    },
    downLoad() {
      wx.downloadFile({
        url: this.data.questionData.contentAppendixUrl,
        success: function (res) {
          const filePath = res.tempFilePath;
          //预览
          wx.openDocument({
            filePath: filePath,
            success: function (res) {
              console.log('打开文档成功')
            }
          })
          // 保存文件
          // wx.saveFile({
          //   tempFilePath: filePath,
          //   success: function (res) {
          //     const savedFilePath = res.savedFilePath;
          //     wx.showToast({
          //       title: '文件已保存',
          //       icon: 'success'
          //     });
          //   },
          //   fail: function (err) {
          //     console.error('保存文件失败', err);
          //   }
          // });
        },
        fail: function (err) {
          console.error('下载文件失败', err);
        }
      });
    }
  }
})