const {
  get,
  post
} = require('../../utils/request');
import url from '../../utils/urlconfig'
const moment = require('/miniprogram_npm/moment/index.js');
Page({
  data: {
    swiperHeight: 0,
    navHeight: 0,
    customTop: 0,
    customHeight: 0,
    homeBannerList: [],
    newsList: [],
    navLists: []
  },

  onLoad() {
    let custom = wx.getMenuButtonBoundingClientRect(); // 小程序右上角胶囊信息
    let system = wx.getWindowInfo(); // 获取设备信息的距离
    get(url.homeItemApi, {
      terminalName: 'WECHAT'
    }).then(res => {
      res.data.newsList.map((item) => {
        item.releaseTime = moment(item.releaseTime).format("YYYY-MM-DD")
      })
      res.data.navigateList.map((item) => {
        if (item.type == 'news') {
          item['path'] = '/pages/NewsMessage/index?id=' + item.relationId + `&relationName=` + item.relationFuncName
        }
        if (item.type == 'train') {
          item['path'] = '/pages/activity/index'
        }
        if (item.type == 'mysurvey') {
          item['path'] = '/pages/workTask/index?type=1'
        }
        if ( item.type == 'survey') {
          item['path'] = '/pages/workTask/index?type=2'
        }
        if ( item.type == 'mycontribute') {
          item['path'] = '/pages/contribute/index'
        }
        if ( item.type == 'myexam') {
          item['path'] = '/pages/trainingAndTest/index?id=' + item.relationId
        }
      })
      this.setData({
        homeBannerList: res.data.imageList,
        newsList: res.data.newsList,
        navLists: res.data.navigateList,
        navHeight: system.statusBarHeight + 44, // 导航栏的高度
        customTop: custom.top, // 胶囊按钮与顶部的距离
        customHeight: custom.height, // 胶囊按钮与右侧
        swiperHeight: system.statusBarHeight + 44
      })
    })
  },
  handleTo(e){
    let item = e.currentTarget.dataset.item
    wx.navigateTo({
      url: '/pages/NewsMessage/news/index?id='+item.id,
    })
  },
  toSearch(){
    wx.navigateTo({
      url: '/pages/searchInfo/index',
    })
  },
});