const {
  get,
  post
} = require('../../../utils/request');
import url from '../../../utils/urlconfig';
const moment = require('/miniprogram_npm/moment/index.js');
Page({
  data: {
    appeallist: []
  },
  onLoad: function (options) {
    if (options.type == 2) {
      wx.setNavigationBarTitle({
        title: '我的信箱'
      });
    } else {
      wx.setNavigationBarTitle({
        title: '我的诉求'
      });
    }

    get(url.myAppealListApi, {
      pageNo: 1,
      pageSize: 20
    }).then(res => {
      let list = res.data.records;
      list.map(item => {
        item.submitTime = moment(item.submitTime).format("YYYY年MM月DD日 HH:mm")
      })
      if (options.type == 2) {
        list = list.filter(item => item.type !== 3);
        console.log(list)
      }
      this.setData({
        appeallist: list
      })
    })
  },
  handleTo(e) {
    let item = e.currentTarget.dataset.item;
    wx.navigateTo({
      url: '/pages/mine/myAppeal/detail/index?id=' + item.id + `&type=` + item.type,
    })
  }
})