const {
  get,
  post
} = require('../../../utils/request');
import url from '../../../utils/urlconfig';
Page({
  data: {
    commentList: [],
    commentShow: false,
    userAvatar:''
  },
  onLoad() {
    post(url.myCommentListApi, {}).then(res => {
      let list = res.data.records;
      this.setData({
        userAvatar:list[0].userAvatar
      })
      list.forEach((item) => {
        if (item.tpCommentReplies.length > 0) {
          item.showStatu = true;
        } else {
          item.showStatu = false;
        }
        if (item.imageUrls) {
          item.imageUrList = JSON.parse(item.imageUrls);
        }
      });
      this.setData({
        commentList: list
      });
    })
  },
  show(res, i) {
    console.log(res.showStatu, '22222');
    console.log(this.data.commentList);
  },
  handleTo(e) {
    let i = e.currentTarget.dataset.item;
    if (i.bizType == 1) {
      wx.navigateTo({
        url: `/pages/activity/index?id=${i.trainingProjectId}`
      });
    } else {
      wx.navigateTo({
        url: `/pages/NewsMessage/news/index?id=${i.trainingProjectId}`
      });
    }
  },
   //图片预览
   previewImage(e) {
    const index = e.currentTarget.dataset.index;
    const imageList = this.data.commentList[index].imageUrList;
    wx.previewImage({
      current: imageList[index], // 当前显示图片的http链接
      urls: imageList // 需要预览的图片http链接列表
    });
  },
});