const {
  get,
  post
} = require('../../../utils/request');
import url from '../../../utils/urlconfig';
const moment = require('/miniprogram_npm/moment/index.js');
Page({
  data: {
    list: [],
    showStatu: true,
    content: {},
  },
  onLoad() {
    post(url.getContributeMyListApi,{}).then(res=>{
      res.data.records.map(item=>{
        item.submitTime = moment(item.submitTime).format("YYYY-MM-DD HH:mm")
      })
      this.setData({
        list: res.data.records,
      });
    })
  },
  handleClick(e) {
    const item = e.currentTarget.dataset.item;
    item.ossUrl = JSON.parse(item.ossUrl)
    this.setData({
      showStatu: false,
      content: item
    });
    console.log(this.data.content)
  },
  //图片预览
  previewImage(e) {
    const index = e.currentTarget.dataset.index;
    const imageList = this.data.content.ossUrl;
    wx.previewImage({
      current: imageList[index], // 当前显示图片的http链接
      urls: imageList // 需要预览的图片http链接列表
    });
  },
});