const {
  get,
  post
} = require('../../../utils/request');
import url from '../../../utils/urlconfig';
Page({
  data: {
    score: "340",
    scoreNow: "6",
    showBtn: false,
    contList: [],
    contList1: [{
        titleVal: "1分/每日首次登录",
        learnType: "point_login"
      },
      {
        titleVal: "1分/每有效阅读文章一篇（阅读时长超过20秒）",
        url: "/pages/home/index",
        learnType: "point_read"
      },
      {
        titleVal: "5分/每投稿一篇有效内容（审核通过）",
        url: "/pages/contribute/index",
        learnType: "point_draft"
      },
      {
        titleVal: "3分/每发表一个有效评论（审核通过）",
        url: "/pages/home/index",
        learnType: "point_comment"
      },
      {
        titleVal: "3分/报名并成功打卡参与活动",
        url: "/pages/activity/index",
        learnType: "CreditSignDone"
      },
      {
        titleVal: "根据答题分数获得相应积分",
        url: "/pages/trainingAndTest/index",
        learnType: "CreditExamDone"
      }
    ],
  },
  onLoad() {
    get(url.getPointDetailApi, '').then(res => {
      let list = res.data.pointVoList;
      list.forEach((item) => {
        this.data.contList1.forEach((item1) => {
          if (item.learnType === item1.learnType) {
            item.titleVal = item1.titleVal;
            item.url = item1.url;
          }
        });
      });
      this.setData({
        contList: list,
        score: res.data.amount,
        scoreNow: res.data.point
      });
    })
  },

  handleTo(e) {
    const item = e.currentTarget.dataset.item;
    console.log(item)
    if (item.learnType == "point_login") return;
    if (item.learnType == "point_read" || item.learnType == "CreditSignDone" || item.learnType == "point_comment") {
      wx.switchTab({
        url: item.url,
      })
    } else {
      wx.navigateTo({
        url: item.url
      });
    }


  }
});