const {
  get,
  post
} = require('../../utils/request');
import url from '../../utils/urlconfig'
const moment = require('/miniprogram_npm/moment/index.js');
Page({
  data: {
    resultShow: true,
    searchHistoryList: [],
    searchAllList: [],
    searchResultList: [],
    searchWord: '',
  },
  onLoad() {
    // 获取历史搜索和全部搜索列表
    get(url.searchHistoryApi, '').then(res => {
      this.setData({
        searchHistoryList: res.data
      })
    })
    get(url.searchListAllApi, '').then(res => {
      this.setData({
        searchAllList: res.data,
      });
    })
  },
  onChange(e) {
    this.setData({
      searchWord: e.detail.value
    });
  },
  onSubmit(e) {
    const value = e.detail.value;
    const value1 = e.currentTarget?.dataset?.value;
    get(url.searchApi, {
      searchName: value ? value : value1
    }).then(res => {
      let list = res.data.classificationVOList;
      list.map(item => {
        item.informationVoList.map(item1 => {
          item1.releaseTime = moment(item1.releaseTime).format("YYYY-MM-DD")
        })
      })
      this.setData({
        searchResultList: res.data.classificationVOList,
        resultShow: false,
      });
    })
  },
  onCancel() {
    this.setData({
      resultShow: true
    });
  },
  newsItemClick(e) {
    let item = e.currentTarget.dataset.item;
    wx.navigateTo({
      url: '/pages/NewsMessage/news/index?id=' + item.id,
    })
  },
});