const {
  get,
  post
} = require('../../utils/request');
import url from '../../utils/urlconfig'
Page({
  data: {
    taskList: [],
    type: ""
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    if (options.type == 1) {
      wx.setNavigationBarTitle({
        title: '工作任务'
      });
    } else {
      wx.setNavigationBarTitle({
        title: '我要投票'
      });
    }
    this.setData({
      type: options.type
    })
    get(url.getWorkTaskListApi, {
      pageNo: 1,
      pageSize: 30,
    }).then(res => {
      this.setData({
        taskList: res.data.records
      })
    })
  },
  handleTo(e) {
    let item = e.currentTarget.dataset.item
    if (item.finishState < 3) {
      wx.navigateTo({
        url: '/pages/allDescribe/index?id=' + item.id + '&bizType=' + item.bizType,
      })
    }

  }
})