const {
  get,
  post
} = require('../../utils/request');
import url from '../../utils/urlconfig'
const moment = require('/miniprogram_npm/moment/index.js');
Page({
  data: {
    id: "",
    bizType: "",
    type: "",
    list: {}
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      id: options.id,
      bizType: options.bizType
    })
    if (options.bizType == '1') {
      this.setData({
        type: '问卷'
      })
      wx.setNavigationBarTitle({
        title: '工作任务'
      });
    } else {
      this.setData({
        type: '投票'
      })
      wx.setNavigationBarTitle({
        title: '我要投票'
      });
    }
    let params = {
      researchId: options.id
    }
    post(url.getTaskDetailApi, params).then(res => {
      for (const key in res.data) {
        if (key == "startTime") {
          res.data['startTime'] = moment(res.data['startTime']).format("YYYY年MM月DD日 HH:mm:ss")
        }
      }
      this.setData({
        list: res.data
      })
    })
  },

  handleTo() {
    if (this.data.bizType == '2') {
      wx.navigateTo({
        url: '/pages/vote/index?id=' + this.data.id,
      })
    } else {
      wx.navigateTo({
        url: '/pages/questionnaire/index?id=' + this.data.id,
      })
    }
  }
})