Component({
  properties: {
    questionData: {
      type: Object,
      value: {},
      // observer: 'getCommentList'
    },
  },
  data: {
    // 这里是一些组件内部数据
    scoringVal:"",
    fileName:""
  },
  lifetimes: {
    attached: function () {
      
    },
    ready: function () {
      this.setData({
        fileName:this.data.questionData.contentAppendixUrl?.split('prefix=')[1]
      })
    },
  },

  methods: {
    sliderChange(e){
      this.setData({
        scoringVal:e.detail.value
      })
    },
    // 这里是一个自定义方法
    downLoad(){
      wx.downloadFile({
        url: this.data.questionData.contentAppendixUrl,
        success: function (res) {
          const filePath = res.tempFilePath;
          //预览
          wx.openDocument({
            filePath: filePath,
            success: function (res) {
              console.log('打开文档成功')
            }
          })
          // 保存文件
          // wx.saveFile({
          //   tempFilePath: filePath,
          //   success: function (res) {
          //     const savedFilePath = res.savedFilePath;
          //     wx.showToast({
          //       title: '文件已保存',
          //       icon: 'success'
          //     });
          //   },
          //   fail: function (err) {
          //     console.error('保存文件失败', err);
          //   }
          // });
        },
        fail: function (err) {
          console.error('下载文件失败', err);
        }
      });
    }
  }
})