const TOKEN_KEY = 'auth_token';
const {
  get,
  post
} = require('../../utils/request');
import url from '../../utils/urlconfig'
Page({
  data: {
    userImage: './../../static/mine/shuijiao.jpg',
    userName: '',
    companyName: '',
    navLists: [],
  },
  onLoad() {
    const _this = this
    get(url.userInfoApi).then(res => {
      this.setData({
        userName: res.data.fullName,
        companyName: res.data.companyName,
        userImage:res.data.headPortrait
      })
    })
    post(url.getMineItemsApi, {}).then(res => {
      let items = res.data.data2;
      items.map(item => {
        switch (item.name) {
          case '修改密码':
            item['path'] = "/pages/changePsd/index"
            break;
          case '我要留言':
            item['path'] = "/pages/mine/myLeaveMessage/index"
            break;
          case '党委书记信箱':
            item['path'] = "/pages/mine/messageBox/index?type=1"
            break;
          case '纪检信箱':
            item['path'] = "/pages/mine/messageBox/index?type=2"
            break;
          case '我的诉求':
            item['path'] = "/pages/mine/myAppeal/index?type=1"
            break;
          case '我的信箱':
            item['path'] = "/pages/mine/myAppeal/index?type=2"
            break;
          case '我的评论':
            item['path'] = "/pages/mine/myComment/index"
            break;
          case '我的投稿':
            item['path'] = "/pages/mine/myContribute/index"
            break;
          case '我的培训':
            item['path'] = "/pages/trainingAndTest/index?type=1"
            break;
          case '我的测试':
            item['path'] = "/pages/trainingAndTest/index?type=2"
            break;
          case '我参与的问卷':
            item['path'] = "/pages/workTask/index?type=1"
            break;
          case '我的活动':
            item['path'] = "/pages/activity/index"
            break;

          default:
            break;
        }
      })
      this.setData({
        navLists: items
      })
    })
  },
  accountBindinput: function (e) {
    this.setData({
      account: e.detail.value
    })
  },
  goDetailPage(){
    wx.navigateTo({
      url: '/pages/mine/aboutZhdj/index',
    })
  },
  goBack() {
    wx.reLaunch({
      url: '/pages/login/index'
    });
    wx.setStorageSync(TOKEN_KEY, {
      token: '',
      expiry: ''
    });
  },
  handleTo(){
    wx.navigateTo({
      url: '/pages/mine/userInfo/index',
    })
  }
});