const {
  get,
  post
} = require('../../../utils/request');
import url from '../../../utils/urlconfig'
const moment = require('/miniprogram_npm/moment/index.js');
Page({
  data: {
    finishData: {},
    examStu:0
  },
  onLoad: function (options) {
    get(url.getExamHistoryListApi, {
      examId: options.id
    }).then(res => {
      let item = res.data;
      item.hisList.map(item => {
        item.submitTime = moment(item.submitTime).format("YYYY-MM-DD HH:mm:ss");
      })
      this.setData({
        finishData: item,
        examStu:options.type
      });
    })
  },
  handleExamDetail() {
    if (this.data.examStu >= 3) {
      wx.navigateTo({
        url: '/pages/trainingAndTest/examDetail/index?id=' + this.options.id,
      })
    }

  },
})