const {
  get,
  post
} = require('../../../utils/request');
import url from '../../../utils/urlconfig'

Page({
  data: {
    list: [],
    topList: []
  },
  onLoad(options) {
    get(url.voteTopApi, {
      researchId: options.id
    }).then(res => {
      const list = res.data.rankingList;
      let keywords1 = list[0]?.keywords;
      let keywords2 = list[1]?.keywords;
      let keywords3 = list[2]?.keywords;
      let content1 = list[0]?.content;
      let content2 = list[1]?.content;
      let content3 = list[2]?.content;
      let topImg1 = list[0]?.contentAppendixUrl;
      let topImg2 = list[1]?.contentAppendixUrl;
      let topImg3 = list[2]?.contentAppendixUrl;
      let topScore1 = list[0]?.voteCount;
      let topScore2 = list[1]?.voteCount;
      let topScore3 = list[2]?.voteCount;
      let topList = list.slice(3, 9);

      this.setData({
        list,
        topList,
        keywords1,
        keywords2,
        keywords3,
        content1,
        content2,
        content3,
        topImg1,
        topImg2,
        topImg3,
        topScore1,
        topScore2,
        topScore3
      });
    })
  }
});