const baseUrl = "https://hqjddj.shanghaiairport.com";
const url = {
  baseUrl: baseUrl,
  userInfoApi: `${baseUrl}/system/api/account/get`, //个人信息
  saveUserInfoApi: `${baseUrl}/system/api/account/update`, //保存个人信息
  meneItemApi: `${baseUrl}/web-student/api/system/my/item`,
  homeItemApi: `${baseUrl}/web-student/api/portal/home/other/list`,
  NewsMessageApi: `${baseUrl}/web-student/api/info/page/pcList`,
  NewsResultListApi: `${baseUrl}/web-student/api/info/view`,
  //图片，文件上传
  uploadApi:`${baseUrl}/aliyun/api/upload`,
  //搜索接口
  searchApi: `${baseUrl}/web-student/api/portal/home/other/search`,
  searchHistoryApi: `${baseUrl}/system/dictionary/home/searchListByMe`,
  searchDeleteApi: `${baseUrl}/system/dictionary/home/searchDeleteByMe`,
  searchListAllApi: `${baseUrl}/system/dictionary/home/searchListByAll`,
  //修改密码
  changPsdApi: `${baseUrl}/system/api/account/mobile/pwd/update`,
  // 获取评论列表
  getCommentListApi: `${baseUrl}/web-student/api/tpComment/comment/list`,
  //点赞，取消点赞
  trainReviewGoodApi: `${baseUrl}/web-student/api/tpCommentThumbsUp/save`,
  trainReviewBadApi: `${baseUrl}/web-student/api/tpCommentThumbsUp/delete`,
  // 回复评论
  setcommentRaplyApi: `${baseUrl}/web-student/api/tpCommentReply/save`,
  // 评论
  setcommentApi: `${baseUrl}/web-student/api/tpComment/save`,
  //收藏，取消收藏
  setFavoriteApi: `${baseUrl}/web-student/api/studentCase/study/favorite`,
  setCancelFavoriteApi: `${baseUrl}/web-student/api/studentCase/study/cancelFavorite`,
  //获取工作任务列表
  getWorkTaskListApi: `${baseUrl}/web-student/api/research/page/list`,
  //获取任务详情介绍
  getTaskDetailApi: `${baseUrl}/web-student/api/research/details`,
  // 获取问卷
  getQuestionnaireDataApi: `${baseUrl}/web-student/api/researchQuestion/last/next`,
  //查看问卷结果
  getAnswerApi: `${baseUrl}/web-student/api/researchAnswer/view`,
  //获取我的item
  getMineItemsApi: `${baseUrl}/web-student/api/system/my/item`,
  //纪检信箱
  systemMailboxApi: `${baseUrl}/web-manage/manage/systemMailbox/save/1`,
  //党委书记信箱
  dwsystemMailboxApi: `${baseUrl}/web-manage/manage/systemMailbox/save/2`,
  //我要留言
  setLeaveMesApi: `${baseUrl}/web-manage/manage/leaveWord/save`,
  //我的诉求
  myAppealListApi: `${baseUrl}/web-manage/manage/systemMailbox/selectMyPage`,
  myMailboxApi: `${baseUrl}/web-manage/manage/systemMailbox/getById`,
  myAppealDetailApi: `${baseUrl}/web-manage/manage/leaveWord/getById`,

  //我的评论
  myCommentListApi: `${baseUrl}/web-student/api/tpComment/pc/listByMyself`,


  //投票列表数据
  voteListApi: `${baseUrl}/web-student/api/researchQuestion/list/all`,
  voteSumbitApi: `${baseUrl}/web-student/api/researchAnswer/submit`,
  voteSumbitSecondApi: `${baseUrl}/web-student/api/researchQuestion/getVoteResult`,
  voteTopApi: `${baseUrl}/web-student/api/researchQuestion/getVoteTop`,
  //我要投稿
  getContributeListApi: `${baseUrl}/system/dictionary/child/list`,
  commitContributeApi: `${baseUrl}/web-manage/manage/site/classify/publication/insert`,
  getSelectListApi: `${baseUrl}/system/manage/group/list/page`,
  getContributeMyListApi: `${baseUrl}/web-manage/manage/site/classify/publication/list`, //我的投稿

  //培训测试
  getTrainingListApi: `${baseUrl}/web-student/api/info/page/pcList`, //培训列表
  getExamListApi: `${baseUrl}/web-student/api/exam/list`, //测试列表
  getExamDetatilApi: `${baseUrl}/web-student/api/exam/details`, //测试列表详情
  getExamHistoryListApi: `${baseUrl}/web-student/api/exam/show/my/answer/result`, //测试历史
  getQuestionItemApi: `${baseUrl}/web-student/api/exam/make`, //获取题
  saveQuestionItemApi: `${baseUrl}/web-student/api/exam/save`, //提交每个题
  // 活动服务
  getActivityListApi: `${baseUrl}/web-student/api/trainingProject/page/list`, //获取活动列表
  getactiveNavListApi: `${baseUrl}/web-student/api/trainingProject/getTrainingActivity`, //活动NavList
  getActiveDetailApi: `${baseUrl}/web-student/api/trainingProject/one/detail/progress/view`, //活动详情
  signUpApi: `${baseUrl}/web-student/api/enroll/student`, //活动报名
  signInApi: `${baseUrl}/web-student/api/sign/scan`, //活动线上签到
  signCustomInApi: `${baseUrl}/web-student/api/sign/custom/scan`, //活动扫码签到

  myCaseFavorites: `${baseUrl}/web-student/api/studentCase/study/getFavorites`, //我的作品收藏
  myHistory: `${baseUrl}/web-student/api/portal/home/other/history`, //我的作品收藏
  getPointDetailApi: `${baseUrl}/web-student/pc/point/getPointDetail`, //积分商城

};
export default url;